<%= tag.turbo_frame id: dom_id(tidbit), class: "relative block",
                    autoscroll: locals[:autoscroll], 
                    data: { autoscroll_block: "center", turbo: true } do %>
  
  <% if locals[:editable] %>
    <%= link_to "", tidbits.edit_tidbit_path(tidbit, ({ plain: true } if locals[:plain])), data: { turbo_frame: "tidbit-form" }, class: "block absolute left-0 bottom-0 right-0 top-0 border border-yellow-300 hover:border-yellow-500 transition" %> 
  <% end %>

  <%= tag.div class: "tidbit-body rounded-sm", data: { turbo_frame: "_top" } do %>
    <% if tidbit.body.present? %>
      <% if locals[:plain] %>
        <%= tidbit.body.to_plain_text %>
      <% else %>
        <%== tidbit.body %>
      <% end %>
    <% else %>
      <%= yield %>
    <% end %>
  <% end %>

  <%= tag.turbo_stream tag.template, action: :update, target: "tidbit-form" if locals[:clear_form] %>

<% end %>
